__doc__ = """Server initialization module. """
__version__ = '0.1'
# Step #1: import your Python class so we can refer to it later

import Server 

# Step #2: define the initialize() function. 

def initialize(context): 
	"""Initialize the Server product."""
	
	try: 
		"""Try to register the product."""
		
		context.registerClass(
			
			Server.Server,		# Which is the addable bit? 
			
			constructors = (								# The first of these is called 
				Server.manage_addServerForm,	# when someone adds the product; 
				Server.manage_addServer),		# the second is named here so we 
															# can give people permission to call it. 
			
			icon = 'transmission.gif'				# This icon was provided by the 
											# Zope 1 product-in-Python demo. 
			)
	
	except:
		"""If you can't register the product, tell someone."""
		
		import sys, traceback, string
		type, val, tb = sys.exc_info()
		sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
		del type, val, tb
